// pages/checkAddress/handleAddCheck.js
import { addressList, deleteAddress } from '../../api/address'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    currentPage: 1,
    hasNext: false,
    addressList: [],
    dialogshow: false,
    formPage: '',
    formback:0,
    addressId: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(options);
    this.setData({
      formPage: options.form,
      formback: options.back
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getAddressList()
  },
  // 获取地址列表
  getAddressList () {
    var data = {
      currentPage: this.data.currentPage
    }
    addressList(data).then(res => {
      this.setData({
        hasNext: res.data.hasNext,
        addressList: res.data.vos
      })
    })
  },

  /**
   * 页面到底事件
   */
  onReachBottom() {
    if (this.data.hasNext) {
      var _currentPage = this.data.currentPage + 1
      this.setData({
        currentPage: _currentPage
      })
      this.getAddressList()
    }
  },

  /**
   * 编辑地址
   */
  handleEdit(e) {
    var value = e.currentTarget.dataset.item
    var editProvice = value.province
    var editCity = value.city
    var editCounty = value.county
    var editDetailAddress = value.detailAddress
    var editContactName = value.contactName
    var editContactPhone = value.contactPhone
    var editAddressId = value.addressId
    wx.navigateTo({
      url: '/pages/addressAdd/addressAdd?form=address&type=0&province=' + editProvice + '&city=' + editCity + '&county=' + editCounty + '&detailAddress=' + editDetailAddress + '&contactName=' + editContactName + '&contactPhone=' + editContactPhone + '&addressId=' + editAddressId
    })
    console.log(value);
  },

  /**
   * 点击地址Item 我的地址进入不做处理 预约页面进入返回预约页面
   */
  handleAddressChose (e) {
    if (this.data.formback == '1') {
      /* app.globalData.navigateBackParams.address = e.currentTarget.dataset.address
      wx.navigateBack() */
    }
  },

  /**
   * 用户点击删除地址按钮
   */
  handleDelAddres(e) {
    var delId = e.currentTarget.dataset.addressid
    this.setData({
      dialogshow: true,
      addressId: delId
    })
  },
  // 删除地址接口函数
  handleConfirm () {
    var that = this
    that.setData({
      dialogshow: false
    })
    var data = {
      addressId: that.data.addressId
    }
    deleteAddress(data).then(res => {
      that.setData({
        currentPage: 1
      })
      that.getAddressList()
    })
  },
  handleCancel () {
    this.setData({
      dialogshow: false
    })
  },
  /**
   * 用户点击 新增地址
   */
  handleAddressAdd() {
    wx.navigateTo({
      url: '/pages/addressAdd/addressAdd?form=address&type=1',
    })
  }
})